These are chat archives for highfidelity/hifi

12th
Jan 2015
stephen6589
@stephen6589
Jan 12 2015 00:53
hello everyone and good day im not sure anyone still checks this but i need some help i have built hifi from source but i run into an issue i can not find an answer for when i try and make the interface for it this what i am getting Scanning dependencies of target assignment-client_automoc
[ 0%] Automoc for target assignment-client
Generating moc_Agent.cpp
Generating moc_AssignmentClient.cpp
Generating moc_AssignmentClientMonitor.cpp
Generating moc_AudioMixer.cpp
Generating moc_AudioMixerDatagramProcessor.cpp
Generating moc_AvatarMixerClientData.cpp
Generating moc_ScriptableAvatar.cpp
Generating moc_EntityServer.cpp
Generating moc_MetavoxelServer.cpp
Generating moc_OctreeInboundPacketProcessor.cpp
Generating moc_OctreeQueryNode.cpp
Generating moc_OctreeSendThread.cpp
Generating moc_OctreeServer.cpp
Generating moc_OctreeServerDatagramProcessor.cpp
[ 0%] Built target assignment-client_automoc
[ 0%] Automoc for target audio
[ 0%] Built target audio_automoc
[ 0%] Automoc for target networking
[ 0%] Built target networking_automoc
[ 1%] Automoc for target shared
[ 1%] Built target shared_automoc
[ 15%] Built target shared
Scanning dependencies of target networking
[ 15%] Building CXX object libraries/networking/CMakeFiles/networking.dir/src/LimitedNodeList.cpp.o
/usr/src/hifi/libraries/networking/src/LimitedNodeList.cpp: In member function ‘void LimitedNodeList::changeSocketBufferSizes(int)’:
/usr/src/hifi/libraries/networking/src/LimitedNodeList.cpp:120:13: error: ‘SendBufferSizeSocketOption’ is not a member of ‘QAbstractSocket’
bufferOpt = QAbstractSocket::SendBufferSizeSocketOption;
^
/usr/src/hifi/libraries/networking/src/LimitedNodeList.cpp:123:13: error: ‘ReceiveBufferSizeSocketOption’ is not a member of ‘QAbstractSocket’
bufferOpt = QAbstractSocket::ReceiveBufferSizeSocketOption;
^
/usr/src/hifi/libraries/networking/src/LimitedNodeList.cpp: In member function ‘void LimitedNodeList::sendHeartbeatToIceServer(const HifiSockAddr&, QUuid, const QUuid&)’:
/usr/src/hifi/libraries/networking/src/LimitedNodeList.cpp:513:64: error: expected ‘}’ at end of input
writeUnverifiedDatagram(iceRequestByteArray, iceServerSockAddr);
^
make3: [libraries/networking/CMakeFiles/networking.dir/src/LimitedNodeList.cpp.o] Error 1
make2:
[libraries/networking/CMakeFiles/networking.dir/all] Error 2
make1: [assignment-client/CMakeFiles/assignment-client.dir/rule] Error 2
make:
[assignment-client] Error 2
if anyone could help id be thankful
Jason Hawks
@nbq
Jan 12 2015 00:55
of course people are alive here, I will read over your message a moment unless someone beats me to it (multitasking)
stephen6589
@stephen6589
Jan 12 2015 01:04
ok thank you
David Rowe
@ctrlaltdavid
Jan 12 2015 01:28
@stephen6589 Hi. If you've previously built Interface OK but now can't after updating to the latest code, you probably need to rebuild from scratch; i.e., clear the build directory and redo the cmake command then compile.
stephen6589
@stephen6589
Jan 12 2015 01:29
this is my first time building it and i tried that first same result
stephen6589
@stephen6589
Jan 12 2015 02:31
ok i have tried rebuilding the whole thing triple checked it all as i was doing it and it all goes fine up to it hits the networking dir im at a lost if there is something wrong with the NodeList or what it is so any one have any ideas they are welcome im new to this i have never built from source before and thx again
Jason Hawks
@nbq
Jan 12 2015 02:31
mind showing the cmake output along with the full output, like maybe on pastebin or something
Jason Hawks
@nbq
Jan 12 2015 02:37
Also what distro are you building this on
stephen6589
@stephen6589
Jan 12 2015 02:38
im building on ubuntu 14.04 lts
Jason Hawks
@nbq
Jan 12 2015 02:42
ok, first problem is they now require QT 5.3.2 or building, are you an alpha with access to the forums or do you need me to give you some instructions (courtesy of @OmegaHeron ) on how to get it running?
actually looking through this, I think it requires 14.10 now looking through the info
stephen6589
@stephen6589
Jan 12 2015 02:45
when i started the build i used this apt-add-repository ppa:ubuntu-sdk-team/ppahttp:// for the qt5 and here is the info you asked for on paste bin hope its right and no im not an alpha pastebin.com/cY9imNT2 http://pastebin.com/fWEDZFvG
Jason Hawks
@nbq
Jan 12 2015 02:46
Here is the info from basically the go to guy for compiling on Ubuntu: It's became increasingly difficult to support HiFi compiling on Ubuntu 14.04, so, much as I prefer to stick with long term support releases, I've converted to 14.10 and now using QT at version = to HiFi builds vs one behind as on old setup.
stephen6589
@stephen6589
Jan 12 2015 02:48
well i tried anyway thank you for the help and suppert i been working on this last nite with no rest lol so i think ill just wait to its finished
Jason Hawks
@nbq
Jan 12 2015 02:49
Well, the thing is, there are binaries out there but for 14.04 I am not sure it will work for running either unless packaged with the qt files since it requires basically 14.10 to build
stephen6589
@stephen6589
Jan 12 2015 02:51
the build directions are only for this verson i want to build badly but if installed the one you mentioned id have no idea what i was doing inless there is a site for it to
Jason Hawks
@nbq
Jan 12 2015 02:52
Well, the public ones are a bit out of date, the forums have been kept up to date
as some got moved to docs.highfidelity.io where the original creators of the writeups could no longer edit them
let me do a pastebin for you for 14.10
stephen6589
@stephen6589
Jan 12 2015 03:00
thank you so much nbq
Jason Hawks
@nbq
Jan 12 2015 03:00
Welcome, I am Coal in HF and write the CentOS stuff (which mine for CentOS 7 is a little out of date with the new TBB stuff I will fix when I have a chance)
codelover65
@stephen789
Jan 12 2015 14:21
Good Morning Everyone I am Getting Ready To Build From Source On Windows. And i Wanted To Ask before I Did if The Build directions For it Was Up To date.
Philip Rosedale
@PhilipRosedale
Jan 12 2015 16:40
Folks: Latest builds have (for me) fixed the movement bug and helped with crashing on object deletion. Is it better for you? Also, we will add a better backup scheduler this week so that you have backups going back a month or so (or longer if you desire).
Joe Large [Omega Heron]
@OmegaHeron
Jan 12 2015 17:34
@PhilipRosedale seems good here, can move about again and delete things. Will test more once thunderstorms pass.
stephen6589
@stephen6589
Jan 12 2015 19:49
good eveing everyone i have made the interface can i get a invite to log in and thank you
Philip Rosedale
@PhilipRosedale
Jan 12 2015 21:12
@stephen6589 can you email chris@ highfidelity dot io and he can get you in. You can connect to Sandbox with a working build without any login at all, also.
Jason Hawks
@nbq
Jan 12 2015 23:01
I am so glad to hear you got it compiled @stephen6589 ! I knew you could do it
morrisford
@morrisford
Jan 12 2015 23:23
@PhilipRosedale I am on 1609 on a mac and the crashing is gone. When I use the stack manager I can never see anything in world. I tried all three content sets and put some stuff in the world from the entity editor but I never see anything. Also, the content sets do not appear in the model list. When I was running 1574 against the stack manager I could see the lounge ok but not the Floating Island.
@PhilipRosedale Also, running against my own server I see all my models no problem